package com.uas.platform.b2b.erp.model;

import java.util.Date;

import com.uas.platform.b2b.model.PurchaseForecastAllItem;

public class SaleForecastDownDet {
	private Long b2b_id;
	private Short pfd_detno;
	private String pfd_custprodcode;
	private String pfd_custproddetail;
	private String pfd_custprodspec;
	private String pfd_custprodunit;
	private Date pfd_delivery;
	private Double pfd_qty;
	private String pfd_remark;
	private Long pfd_useruu;//卖方业务员uu号
	
	public Short getPfd_detno() {
		return pfd_detno;
	}

	public void setPfd_detno(Short pfd_detno) {
		this.pfd_detno = pfd_detno;
	}

	public String getPfd_custprodcode() {
		return pfd_custprodcode;
	}

	public void setPfd_custprodcode(String pfd_custprodcode) {
		this.pfd_custprodcode = pfd_custprodcode;
	}

	public String getPfd_custproddetail() {
		return pfd_custproddetail;
	}

	public void setPfd_custproddetail(String pfd_custproddetail) {
		this.pfd_custproddetail = pfd_custproddetail;
	}

	public String getPfd_custprodspec() {
		return pfd_custprodspec;
	}

	public void setPfd_custprodspec(String pfd_custprodspec) {
		this.pfd_custprodspec = pfd_custprodspec;
	}

	public String getPfd_custprodunit() {
		return pfd_custprodunit;
	}

	public void setPfd_custprodunit(String pfd_custprodunit) {
		this.pfd_custprodunit = pfd_custprodunit;
	}

	public Date getPfd_delivery() {
		return pfd_delivery;
	}

	public void setPfd_delivery(Date pfd_delivery) {
		this.pfd_delivery = pfd_delivery;
	}

	public Double getPfd_qty() {
		return pfd_qty;
	}

	public void setPfd_qty(Double pfd_qty) {
		this.pfd_qty = pfd_qty;
	}

	public String getPfd_remark() {
		return pfd_remark;
	}

	public void setPfd_remark(String pfd_remark) {
		this.pfd_remark = pfd_remark;
	}

	public Long getPfd_useruu() {
		return pfd_useruu;
	}

	public void setPfd_useruu(Long pfd_useruu) {
		this.pfd_useruu = pfd_useruu;
	}

	public Long getB2b_id() {
		return b2b_id;
	}

	public void setB2b_id(Long b2b_id) {
		this.b2b_id = b2b_id;
	}

	public SaleForecastDownDet(PurchaseForecastAllItem item) {
		this.pfd_custprodcode = item.getProduct().getCode();
		this.pfd_custproddetail = item.getProduct().getTitle();
		this.pfd_custprodspec = item.getProduct().getSpec();
		this.pfd_custprodunit = item.getProduct().getUnit();
		this.pfd_detno = item.getNumber();
		this.pfd_qty = item.getQty();
		this.pfd_delivery = item.getDelivery();	
		this.pfd_remark = item.getRemark();
		this.pfd_useruu = item.getVendUserUU();
		this.b2b_id = item.getId();
	}
}
